# Class BuildEnvironmentReportTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.tasks.diagnostics.BuildEnvironmentReportTask

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, Named, ExtensionAware, Task, Configurable<Task>`

@UntrackedTask(because="Produces only non-cacheable console output") public abstract class BuildEnvironmentReportTask extends DefaultTask
Provides information about the build environment for the project that the task is associated with.

Currently, this information is limited to the project's declared build script dependencies visualised in a similar manner as provided by `DependencyReportTask`.

It is not necessary to manually add a task of this type to your project, as every project automatically has a task of this type by the name `"buildEnvironment"`.

Since:
  2.10

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) final org.gradle.internal.serialization.Cached<org.gradle.api.tasks.diagnostics.BuildEnvironmentReportTask.BuildEnvironmentReportModel>`
  `reportModel`
  `static final String`
  `TASK_NAME`

  ### Fields inherited from interface Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildEnvironmentReportTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `generate()`
  `protected abstract org.gradle.initialization.BuildClientMetaData`
  `getClientMetaData()`
  Deprecated.
  `protected abstract org.gradle.internal.jvm.inspection.JvmMetadataDetector`
  `getMetadataDetector()`
  `protected abstract org.gradle.internal.logging.text.StyledTextOutputFactory`
  `getTextOutputFactory()`

  ### Methods inherited from class DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Field Details

  - ### TASK_NAME

    public static final String TASK_NAME
    See Also:
      - Constant Field Values

  - ### reportModel

    final org.gradle.internal.serialization.Cached<org.gradle.api.tasks.diagnostics.BuildEnvironmentReportTask.BuildEnvironmentReportModel> reportModel

- ## Constructor Details

  - ### BuildEnvironmentReportTask

    public BuildEnvironmentReportTask()

- ## Method Details

  - ### getClientMetaData

    @Deprecated @Inject protected abstract org.gradle.initialization.BuildClientMetaData getClientMetaData()
    Deprecated.

  - ### getTextOutputFactory

    @Inject protected abstract org.gradle.internal.logging.text.StyledTextOutputFactory getTextOutputFactory()

  - ### getMetadataDetector

    @Inject protected abstract org.gradle.internal.jvm.inspection.JvmMetadataDetector getMetadataDetector()

  - ### generate

    public void generate()